#ifndef __msl_int_string_H__
#define __msl_int_string_H__

#include "mslcommon.h"

#include <string>

NSMSL_START

//	クラス宣言
class string_ex : public std::string
{
public:
	//	コンストラクタ
	string_ex(){}
	string_ex(const char* s){ set(s); }
	string_ex(int num){ set(n); }
	string_ex(std::string &s){ set(s); }
	
	////////////////////////////////////////////

	//	設定＆取得
	void set(int num){
		char work[32];
		sprintf(work, "%d", num);
		assign(work);
	}
	void set(const char* s){ assign(s); }
	void set(std::string &s){ assign(s); }
	
	////////////////////////////////////////////
	
	operator const char*(){ return c_str(); }
};

NSMSL_END

#endif//__msl_int_string_H__
